Subject: Re: [bmwg] I-D IPv6 transition technologies benchmarking

From: kaname nishizuka <[email-masked]>
Date: Fri, 14 Nov 2014 05:55:41 +0900

I'm kaname nishizuka of NTT Communications.

Many operators are facing IPv4 exhaustion in Japan, so they have started 
to adopt IPv6 transition technologies to their network now.
Up to now, there is no methodology of comparing numerous technology in 
the aspect of performance characteristics.
I hope this document would develop necessary methodologies of 
benchmarking IPv6 transition technologies.

As for classification of transition technologies, I have a suggestion.
I advise you to add stateless/stateful category on CE and PE.

If CE or PE is stateful, it has kind of NAT function, thus it will have 
close relation to rfc3511(Benchmarking Methodology for Firewall 
Performance).

thank you,
kaname

On 2014/09/24 13:07, Marius Georgescu wrote:
>
> Dear BMWG Members,
>
> My name is Marius Georgescu and I am a graduate student at Nara 
> Institute of Science and Technology (NAIST) in Japan. My main research 
> focus is IPv6 transition technologies benchmarking.  Recently I have 
> been working on an Internet draft which can be found here:
>
> http://www.ietf.org/id/draft-georgescu-ipv6-transition-tech-benchmarking-00.txt
>
> I hope to present the draft in the next BMWG meeting, in IETF91. In 
> the meantime, here is the summary of the draft.
>
> The draft is complementary to the recommendations of RFC2544 and 
> RFC5180, focusing on IPv6 transition technologies benchmarking. It 
> includes a tentative classification of transition technologies and 
> proposes associated test setups. It also proposes a method to 
> acknowledge the frame size overhead and how it should be considered 
> when calculating the maximum theoretical frame rates, in order to 
> avoid exceeding the bandwidth of the employed media.
>
> The  draft also includes a tentative benchmark for scalability in the 
> context of network devices.
>
> Scalability is seen as the ability of network devices to accommodate 
> network growth. As network growth can produce performance degradation, 
> quantifying this degradation can offer insights on the scalability of 
> a certain network devices.
>
> The network growth  can be generated by the tester by creating 
> multiple network flows. After measuring the performance in the context 
> of multiple flows, the performance degradation can be expressed as 
> relative change between the multiple flow results  and the single flow 
> results.
>
> As the draft is very close to the scope of the BMWG, I was hoping it 
> can become a BMWG draft at some point. Any comments and suggestion are 
> welcome. Thank you very much.
>
> Best regards,
>
> Marius Georgescu 　(マリウス ジョルジェスク)
>
> Internet Engineering Laboratory
>
> Nara Institute of Science and Technology
>
> mailto: [email-masked] <mailto:[email-masked]>
>
> IPv6NET Project: http://www.ipv6net.ro/
>
>
>
> _______________________________________________
> bmwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bmwg

Kaname Nishizuka
NTT Communications
[email-masked]